Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.cometd
Class Bayeux

    java.lang.Object
      org.mortbay.cometd.Bayeux

    public class Bayeux

extends Object

Author:
  gregw

Field Summary
`static String` | `ADVICE_ATTR`
`static String` | `CHANNEL_ATTR`
`static String` | `CLIENT_ATTR`
`static String` | `DATA_ATTR`
`static String` | `META_CONNECT`
`static String` | `META_DISCONNECT`
`static String` | `META_HANDSHAKE`
`static String` | `META_PING`
`static String` | `META_RECONNECT`
`static String` | `META_STATUS`
`static String` | `META_SUBSCRIBE`
`static String` | `META_UNSUBSCRIBE`
`static String` | `MONITOR_CHANNEL_EVENT`
`static String` | `MONITOR_CLIENT_EVENT`
`static String` | `TIMESTAMP_ATTR`
`static String` | `TRANSPORT_ATTR`

Method Summary
`void` | `addFilter(String channels, DataFilter filter)`
`Channel` | `getChannel(String id)`
`Set` | `getChannelIDs()`
`Client` | `getClient(String client_id)`
`Set` | `getClientIDs()`
`SecurityPolicy` | `getSecurityPolicy()`
`Channel` | `newChannel(String id)`
`Client` | `newClient()`
`Client` | `newClient(String idPrefix)`
`void` | `setSecurityPolicy(SecurityPolicy securityPolicy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### META_CONNECT

    public static final String META_CONNECT

See Also:
  Constant Field Values

### META_DISCONNECT

    public static final String META_DISCONNECT

See Also:
  Constant Field Values

### META_HANDSHAKE

    public static final String META_HANDSHAKE

See Also:
  Constant Field Values

### META_PING

    public static final String META_PING

See Also:
  Constant Field Values

### META_RECONNECT

    public static final String META_RECONNECT

See Also:
  Constant Field Values

### META_STATUS

    public static final String META_STATUS

See Also:
  Constant Field Values

### META_SUBSCRIBE

    public static final String META_SUBSCRIBE

See Also:
  Constant Field Values

### META_UNSUBSCRIBE

    public static final String META_UNSUBSCRIBE

See Also:
  Constant Field Values

### MONITOR_CHANNEL_EVENT

    public static final String MONITOR_CHANNEL_EVENT

See Also:
  Constant Field Values

### MONITOR_CLIENT_EVENT

    public static final String MONITOR_CLIENT_EVENT

See Also:
  Constant Field Values

### CLIENT_ATTR

    public static final String CLIENT_ATTR

See Also:
  Constant Field Values

### DATA_ATTR

    public static final String DATA_ATTR

See Also:
  Constant Field Values

### CHANNEL_ATTR

    public static final String CHANNEL_ATTR

See Also:
  Constant Field Values

### TIMESTAMP_ATTR

    public static final String TIMESTAMP_ATTR

See Also:
  Constant Field Values

### TRANSPORT_ATTR

    public static final String TRANSPORT_ATTR

See Also:
  Constant Field Values

### ADVICE_ATTR

    public static final String ADVICE_ATTR

See Also:
  Constant Field Values

Method Detail

### getChannel

    public Channel getChannel(String id)

  Parameters:
    `id` -
  Returns:

### addFilter

    public void addFilter(String channels,
                          DataFilter filter)

  Parameters:
    `channels` - A `ChannelPattern`
    `filter` - The filter instance to apply to new channels matching the pattern

### newChannel

    public Channel newChannel(String id)

  Parameters:
    `id` -
  Returns:

### getChannelIDs

    public Set getChannelIDs()

  Returns:

### getClient

    public Client getClient(String client_id)

  Parameters:
    `client_id` -
  Returns:

### newClient

    public Client newClient()

  Returns:

### newClient

    public Client newClient(String idPrefix)

  Parameters:
    `idPrefix` - Prefix to random client ID
  Returns:

### getClientIDs

    public Set getClientIDs()

  Returns:

### getSecurityPolicy

    public SecurityPolicy getSecurityPolicy()

### setSecurityPolicy

    public void setSecurityPolicy(SecurityPolicy securityPolicy)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.